package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

public class DicUserAccountLockType {

    public static final String  NORMAL= "正常";
    public static final String LOCKING = "锁定";

    private static DicUserAccountLockType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicUserAccountLockType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(NORMAL, NORMAL);
        dicMap.put(LOCKING, LOCKING);
    }

    public static DicUserAccountLockType getInstacne(){
        if (instance == null)
        {
            instance = new DicUserAccountLockType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}
